@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

// html, body {
//   font-family: Poppins, sans-serif !important;
// }
.modal-style {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.modal-overlay-style {
  position: fixed;
  inset: 0px;
  background-color: rgba(0,0,0,.7);
}
.modal-body-video {
  width: 800px;
  height: 500px;
  background: #363636;
  border-radius: 20px;
}
.eSelect {
  &__control {
    padding: 0.3rem;
    --tw-bg-opacity: 1;
    background-color: rgb(249 250 251 / var(--tw-bg-opacity));
    border-radius: 0.5rem !important;
  }
  &__placeholder {
    font-size: 0.875rem !important;
  }
  &__single-value {
    font-size: 0.875rem !important;
  }
  &__input {
    font-size: 0.875rem !important;
  }
  &__input:focus {
    box-shadow: none !important;
  }
}
.eTextinput {
  div {
    input {
      background-color: #ffff;
    }
  }
}
.eTextarea {
    background-color: #ffff !important;
}
// .swiper {
//   width: 240px;
//   height: 320px !important;
// }
.header-slider {
  width: 100%;
  height: 100%;
  padding: 50px;

  .swiper-slide {
    background-position: center;
    background-size: cover;
    width: 300px;
  }
  
  // .swiper-slide:nth-child(1n) {
  //   background-color: rgb(206, 17, 17);
  // }
  
  // .swiper-slide:nth-child(2n) {
  //   background-color: rgb(0, 140, 255);
  // }
  
  // .swiper-slide:nth-child(3n) {
  //   background-color: rgb(10, 184, 111);
  // }
  
  // .swiper-slide:nth-child(4n) {
  //   background-color: rgb(211, 122, 7);
  // }
  
  // .swiper-slide:nth-child(5n) {
  //   background-color: rgb(118, 163, 12);
  // }
  
  // .swiper-slide:nth-child(6n) {
  //   background-color: rgb(180, 10, 47);
  // }
  
  // .swiper-slide:nth-child(7n) {
  //   background-color: rgb(35, 99, 19);
  // }
  
  // .swiper-slide:nth-child(8n) {
  //   background-color: rgb(0, 68, 255);
  // }
  
  // .swiper-slide:nth-child(9n) {
  //   background-color: rgb(218, 12, 218);
  // }
  
  // .swiper-slide:nth-child(10n) {
  //   background-color: rgb(54, 94, 77);
  // }
}

.is-sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 5.6rem;
}
.content-body {
  // background-color: #363636;
  background:url(../../public/assets/images/bg-04.jpg);  
  background-repeat: repeat;
  background-size: cover;
}
.tagify {    
  --tags-border-color: rgb(226 232 240 / var(--tw-border-opacity)) !important;
  --tag-bg: #c43584 !important;
  --tag-text-color: white !important;
  --tag-text-color--edit: var(--tag-bg) !important;
  --tag-hover: rgb(168, 14, 91) !important;
  --tag-remove-btn-color: white !important;
  width: 100%;
  border-radius: 0.5rem;
  padding: 1px !important;
  // --tw-border-opacity: 1 !important;
  // border-color: rgb(226 232 240 / var(--tw-border-opacity)) !important;
  // border-width: 1px !important;
}
.tagify--focus {
  --tw-ring-opacity: 1;
  --tags-border-color: #06b6d4 !important;
  border-width: 2px !important;
  // border-color: rgb(66 153 225 / var(--tw-border-opacity)) !important;
}
#drag-file-element {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}
tagify-input-custom {
  padding: 0;
}
.react-images__view-image--isModal {
  display: inline-block;
  left: 50%
}

.slider-container {
  position: relative;
  overflow: hidden; /* Ensure the overlays are clipped */
}

.slider-container-overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 200px; /* Adjust the width of the overlays as needed */
  background: linear-gradient(to right, rgb(242, 243, 246) 0%, rgba(242, 243, 246, 0) 100%);
  z-index: 2; /* Ensure the overlays are above the carousel */
}

.slider-container-overlay.left {
  left: 0;
}

.slider-container-overlay.right {
  right: 0;
  background: linear-gradient(to left, rgb(242, 243, 246) 0%, rgba(242, 243, 246, 0) 100%);
}


/* custom-scrollbar.css */
.custom-scrollbar::-webkit-scrollbar {
  width: 5px;
}

.custom-scrollbar::-webkit-scrollbar-track {
  background: #f1f1f1;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
  background: #afafaf;
  border-radius: 10px;
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background: #959595;
}
